Debian Bug report logs - #685489
unblock: librdf-linkeddata-perl/0.56-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Kjetil Kjernsmo <kjetil@kjernsmo.net>

Date: Tue, 21 Aug 2012 08:39:02 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#685489; Package release.debian.org. (Tue, 21 Aug 2012 08:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kjetil Kjernsmo <kjetil@kjernsmo.net>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 21 Aug 2012 08:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kjetil Kjernsmo <kjetil@kjernsmo.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: librdf-linkeddata-perl/0.56-1
Date: Tue, 21 Aug 2012 10:35:40 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package librdf-linkeddata-perl

I'm the upstream developer of librdf-linkeddata-perl and also a Debian
user since the days of potato. Lately, I've been fortunate enough to
have some of my code in Debian which I think is important to make the
stuff we're doing take off. I therefore have a stake in making Wheezy
as good as possible. The main maintainer is out travelling, so I'm
taking the liberty of requesting an unblock or possibly an upload to
testing-proposed-updates.

I rushed the previous release, 0.54, a bit too much to get it finished
before the freeze, so 0.56 is an important bugfix release. The
maintainer didn't notice that I had actually filed bugs for the
problems with the previous release, so the bug numbers are not in the
changelog, but the 0.56-1 package fixes all but one of 8 bugs that are
on 0.54-1. 0.56-1 has now been in unstable for 13 days with no further
bugs reported.

These are the bugs fixed by 0.56-1:

#683218 : Performance problems caused by regeneration of statistics
#683213 : Characters are UTF-8 double encoded or not encoded at all
#682240 : Missing suggests and recommends
#683215 : Performance issues caused by parsing external file on every request
#683219 : Erroneous MIME type for XHTML
#679587 : should recommend librdf-generator-void-perl
#667534 : New upstream release available

These are ordered by severity. I filed the top 2 as important, as I
think assigning a serious severity is the maintainers call, but they
should IMHO be considered RC. I wasn't aware at the time of 0.54 how
detrimental the effects of #683218 would be, so I skipped it, but
fixed it for 0.56. #683213 is a pure bug that will affect everyone
not using ASCII as their charset, i.e. most of the world.

Other than that, the changes in 0.56 are minor, it is a pure bugfix
release from my part, and so, I would advocate it going straight to
testing at this point, even though it is a new upstream release. Not
having it in Wheezy should not be an option, as I'm sure the whole
RDF+Perl community would recommend an upgrade to 0.56 to all users.

Furthermore, I'm now branching the CPAN releases out in a more
experimental direction, based on research I'm involved in. Thus 0.56
is the version most users would want to use for a long time to come
even though there will be new releases on CPAN, and I will not ask for
another freeze exception even if I make new releases. I'm committed to
support 0.56, but not 0.54, and later releases would be less stable. 

Best regards,

Kjetil


unblock librdf-linkeddata-perl/0.56-1

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Mon, 03 Sep 2012 22:09:12 GMT) Full text and rfc822 format available.

Notification sent to Kjetil Kjernsmo <kjetil@kjernsmo.net>:
Bug acknowledged by developer. (Mon, 03 Sep 2012 22:09:12 GMT) Full text and rfc822 format available.

Message #10 received at 685489-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Kjetil Kjernsmo <kjetil@kjernsmo.net>, 685489-done@bugs.debian.org
Subject: Re: Bug#685489: unblock: librdf-linkeddata-perl/0.56-1
Date: Mon, 03 Sep 2012 23:04:14 +0100
On Tue, 2012-08-21 at 10:35 +0200, Kjetil Kjernsmo wrote:
> Please unblock package librdf-linkeddata-perl

Unblocked by Julien.

Regards,

Aam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Oct 2012 07:29:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:10:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.